Package org.eclipse.birt.chart.datafeed

# Interface IResultSetDataSet

public interface IResultSetDataSet
This interface maintains a subset of a resultset by defining a selective list of columns and a row range to be extracted from a full resultset. An implementor of this is provided to a custom data set processor that is capable of converting the resultset subset content into the expected chart dataset format.

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumnCount()`
`int`
`getDataType()`
Returns the data type associated with a single column resultset subset.
`int`
`getDataType(int columnIndex)`
Returns the data type of a given column associated with a multi-column resultset subset.
`long`
`getSize()`
Returns the number of rows associated with this resultset subset instance
`boolean`
`hasNext()`
Indicates whether another row of data is available without actually moving the cursor
`Object[]`
`next()`
Returns a row of data and advances the resultset subset cursor
`void`
`reset()`
Resets data set if data has been iterated.

## Method Details

### getColumnCount

int getColumnCount()

Returns:
  Returns the columns count for current resultset subset.

### getDataType

int getDataType()
Returns the data type associated with a single column resultset subset. Note the result is only valid for single column subset.

Returns:
  A data type associated with a single column resultset

### getDataType

int getDataType(int columnIndex)
Returns the data type of a given column associated with a multi-column resultset subset.

Returns:
  A data type associated with a multi-column resultset

### getSize

long getSize()
Returns the number of rows associated with this resultset subset instance

Returns:
  The number of rows associated with this resultset subset instance

### hasNext

boolean hasNext()
Indicates whether another row of data is available without actually moving the cursor

Returns:
  'true' if another row of data is available

### next

Object[] next()
Returns a row of data and advances the resultset subset cursor

Returns:
  An 'Object[]' that represents a resultset subset tuple

### reset

void reset()
Resets data set if data has been iterated.

Since:
  3.7